Skip to main content
POST
/
public
/
get-product-enrolled-students
Get product enrolled students
curl --request POST \
  --url https://backend.codedamn.com/api/public/get-product-enrolled-students \
  --header 'Content-Type: application/json' \
  --header 'FERMION-API-KEY: <api-key>' \
  --data '
{
  "data": [
    {
      "data": {
        "fermionDigitalProductId": "<string>",
        "pageNumber": 2,
        "limit": 52
      }
    }
  ]
}
'
[
  {
    "output": {
      "status": "ok",
      "data": {
        "productStatus": "Active",
        "totalEnrollments": 123,
        "enrollments": [
          {
            "fermionUserId": "<string>",
            "enrollmentUniqueId": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "userName": "<string>",
            "enrollmentStatus": "Enrolled",
            "userProfilePicture": "<string>",
            "email": "jsmith@example.com",
            "accountStatus": "Active"
          }
        ]
      }
    }
  }
]

Authorizations

FERMION-API-KEY
string
header
required

Body

application/json

API Request Body

data
object[]
required

Response

200 - application/json

API Response Body

output
object
required